AOWP_Pointcut (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.pointcut.AOWP_Pointcut
/aspect/pointcut/Pointcut.class.php at line 14

# Class AOWP_Pointcut

    AOWP_Pointcut

public abstract class AOWP_Pointcut

Pointcut.class

Field Summary
protected mixed | $_advice
private mixed | $_notFlag

Method Summary
void | __clone()
protected void | _getAspectInstance()
protected abstract void | _isJoinPointShadow(mixed joinPoint)
protected abstract void | _runtimeMatch(mixed joinPoint)
void | isHavePointcut(mixed pointcut)
void | isJoinPointShadow(mixed joinPoint)
void | isNot()
void | opAnd(mixed pointcut)
mixed | opNot() ポイントカットが元々選択していたジョインポイントの集合の、補集合を選択するように定義します。 このメソッドは、2回呼び出すと、元の状態に戻ります。 Op*は、新たにオブジェクトを生成して返します。 したがって、自身、引数、返り値はすべて違うオブジェクトになります。
void | opOr(mixed pointcut)
static bool | patternMatch(mixed pattern, mixed targetText, $targetText ) ポイントカットのテキストパターンを表す引き数の評価に利用します。 現在は、{@link mb_ereg_match}を利用しています。
void | runtimeMatch(mixed joinPoint)
void | setAdvice(mixed advice)

## Field Detail

/aspect/pointcut/Pointcut.class.php at line 16

### _advice

`protected mixed $_advice`

/aspect/pointcut/Pointcut.class.php at line 17

### _notFlag

`private mixed $_notFlag = false`

## Method Detail

/aspect/pointcut/Pointcut.class.php at line 19

### __clone

`public void __clone()`

/aspect/pointcut/Pointcut.class.php at line 30

### _getAspectInstance

`protected void _getAspectInstance()`

/aspect/pointcut/Pointcut.class.php at line 71

### _isJoinPointShadow

`protected abstract void _isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/Pointcut.class.php at line 76

### _runtimeMatch

`protected abstract void _runtimeMatch(mixed joinPoint)`

/aspect/pointcut/Pointcut.class.php at line 78

### isHavePointcut

`public void isHavePointcut(mixed pointcut)`

/aspect/pointcut/Pointcut.class.php at line 63

### isJoinPointShadow

`public void isJoinPointShadow(mixed joinPoint)`

/aspect/pointcut/Pointcut.class.php at line 47

### isNot

`public void isNot()`

/aspect/pointcut/Pointcut.class.php at line 51

### opAnd

`public void opAnd(mixed pointcut)`

/aspect/pointcut/Pointcut.class.php at line 42

### opNot

`public mixed opNot()`

ポイントカットが元々選択していたジョインポイントの集合の、補集合を選択するように定義します。 このメソッドは、2回呼び出すと、元の状態に戻ります。 Op*は、新たにオブジェクトを生成して返します。 したがって、自身、引数、返り値はすべて違うオブジェクトになります。

Returns:
  {@link AOWP_Pointcut}

/aspect/pointcut/Pointcut.class.php at line 57

### opOr

`public void opOr(mixed pointcut)`

/aspect/pointcut/Pointcut.class.php at line 90

### patternMatch

`public static bool patternMatch(mixed pattern, mixed targetText, $targetText )`

ポイントカットのテキストパターンを表す引き数の評価に利用します。 現在は、`mb_ereg_match`を利用しています。

/aspect/pointcut/Pointcut.class.php at line 73

### runtimeMatch

`public void runtimeMatch(mixed joinPoint)`

/aspect/pointcut/Pointcut.class.php at line 27

### setAdvice

`public void setAdvice(mixed advice)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr